Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
sectionedit.php File Reference

Go to the source code of this file.

## Variables
| $Action = ""
if(isset( $OK)) if(isset( $Delete)) if(isset( $Cancel)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZSiteManagerMain", "Language" )
| $move_item = true
| $languageINI = new eZINI( "kernel/ezsitemanager/admin/intl/" . $Language . "/sectionedit.php.ini", false )
| $t
| $warning = true
if(isset( $DeleteRows)) if( $Action=="up") if( $Action=="down") if(( $Action=="Insert")||( $Action=="Update") &&( $user)) if( $Action=="Delete") if(isset( $SectionID)) elseif(isset( $Name) &&isset( $SecLanguage)) | else
| $settingNames =& eZSectionFrontPage::settingNames()

## Variable Documentation

## ◆ $Action

$Action = ""

Definition at line 38 of file sectionedit.php.

## ◆ $ini

if (isset($OK)) if (isset($Delete)) if (isset($Cancel)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 54 of file sectionedit.php.

## ◆ $Language

$Language = $ini->variable( "eZSiteManagerMain", "Language" )

Definition at line 55 of file sectionedit.php.

## ◆ $languageINI

$languageINI = new eZINI( "kernel/ezsitemanager/admin/intl/" . $Language . "/sectionedit.php.ini", false )

Definition at line 57 of file sectionedit.php.

## ◆ $move_item

$move_item = true

Definition at line 56 of file sectionedit.php.

## ◆ $settingNames

$settingNames =& eZSectionFrontPage::settingNames()

Definition at line 247 of file sectionedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezsitemanager/admin/" . $ini->variable( "eZSiteManagerMain", "AdminTemplateDir" ),
"kernel/ezsitemanager/admin/" . "/intl", $Language, "sectionedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: sectionedit.php:55
$ini
if(isset( $OK)) if(isset( $Delete)) if(isset( $Cancel)) $ini
Definition: sectionedit.php:54

Definition at line 59 of file sectionedit.php.

## ◆ $warning

$warning = true

Definition at line 95 of file sectionedit.php.

Referenced by eZPBLog\warning(), and eZPBLog\writeWarning().

## ◆ else

if (isset($DeleteRows)) if ($Action=="up") if ($Action=="down") if (($Action=="Insert")||($Action=="Update") &&($user)) if ($Action=="Delete") if (isset($SectionID)) elseif (isset($Name) &&isset($SecLanguage)) else

Initial value:
{
$t->set_var( "section_name", '' )
$t
$t
Definition: sectionedit.php:59

Definition at line 235 of file sectionedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.